Bug 1007503 - sddm does still show English keyboard until the user switches to another vt and then switches back to sddm vt (spanish/latam were selected in anaconda during installation)
sddm does still show English keyboard until the user switches to another vt a...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
20
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 11:33 EDT by Reartes Guillermo
Modified: 2015-06-29 08:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:22:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2013-09-12 11:33:51 EDT
Description of problem:

If one selects spanish or latam as the keyboard layout in anaconda, after installing selecting KDE Plasma Workspaces, the new greeter, SDDM, does still show english. 

One needs to switch to vt2 and then back to vt1, then sddm shows the correct keyboard layout. (workaround)


Version-Release number of selected component (if applicable):
F20a-RC2

How reproducible:
always

Steps to Reproduce:
1. Install F20, select spanish or latam as the keyboard layout
2. Boot installed system
3. SDDM shows 'english' 

Actual results:
English is shown

Expected results:
The selected keyboard layout should be shown

Additional info:
Comment 1 Martin Bříza 2013-09-17 07:01:46 EDT
Hi, Reartes
Well, usually, SDDM selects the right layout once you start typing your password. It isn't completely right behavior but should make logging in possible without problems.
Martin
Comment 2 fredg_@_bdx 2015-01-02 13:29:49 EST
I have the same behaviour with F21, KDE spin. I did an install on 2 different PCs. Both installation were done in french.

On first PC the SDDM login window shows a US flag for the language, but as soon as I enter the password, the flag turns to french (as mentioned in comment #1).

The behavior is different on the second PC: at sddm login window, it is and remains US keyboard. The passwaord is the same between PCs (same user too). The workaround given in initial report (switch from vt1 to vt2 then back to vt1) does not work for me.

Boring bug if we want to use a safe password, with non std char.
Comment 3 Fedora End Of Life 2015-05-29 05:23:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:22:03 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.